1.0

1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKVerticaClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vertica 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "console_included": false,
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_enabled": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}